components:
  schemas:
    MemoryMetrics_v1_0_11_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#MemoryMetrics.ClearCurrentPeriod':
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_ClearCurrentPeriod'
        Oem:
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_AlarmTrips:
      additionalProperties: false
      description: The alarm trip information about the memory.  These alarms are
        reset when the system resets.  Note that if they are re-discovered they can
        be reasserted.
      properties:
        AddressParityError:
          description: An indication of whether an address parity error was detected
            that a retry could not correct.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether an address parity
            error was detected that a retry could not correct.
        CorrectableECCError:
          description: An indication of whether the correctable error threshold crossing
            alarm trip was detected.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the correctable
            error threshold crossing alarm trip was detected.
        SpareBlock:
          description: An indication of whether the spare block capacity crossing
            alarm trip was detected.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the spare block
            capacity crossing alarm trip was detected.
        Temperature:
          description: An indication of whether a temperature threshold alarm trip
            was detected.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether a temperature threshold
            alarm trip was detected.
        UncorrectableECCError:
          description: An indication of whether the uncorrectable error threshold
            alarm trip was detected.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the uncorrectable
            error threshold alarm trip was detected.
      type: object
      x-longDescription: This type shall contain properties that describe the types
        of alarms that have been raised by the memory.  These alarms shall be reset
        when the system resets.  Note that if they are re-discovered they can be reasserted.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_ClearCurrentPeriod:
      additionalProperties: false
      description: This action sets the `CurrentPeriod` property's values to 0.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall set the `CurrentPeriod` property's values
        to 0.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_ClearCurrentPeriodRequestBody:
      additionalProperties: false
      description: This action sets the `CurrentPeriod` property's values to 0.
      properties: {}
      type: object
      x-longDescription: This action shall set the `CurrentPeriod` property's values
        to 0.
    MemoryMetrics_v1_0_11_CurrentPeriod:
      additionalProperties: false
      description: The memory metrics since the last system reset or `ClearCurrentPeriod`
        action.
      properties:
        BlocksRead:
          description: The number of blocks read since reset.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of blocks read
            since reset.  When this resource is subordinate to the `MemorySummary`
            object, this property shall be the sum of BlocksRead over all memory.
        BlocksWritten:
          description: The number of blocks written since reset.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of blocks written
            since reset.  When this resource is subordinate to the `MemorySummary`
            object, this property shall be the sum of BlocksWritten over all memory.
      type: object
      x-longDescription: This type shall describe the memory metrics since last system
        reset or `ClearCurrentPeriod` action.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_HealthData:
      additionalProperties: false
      description: The health information of the memory.
      properties:
        AlarmTrips:
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_AlarmTrips'
          description: Alarm trip information about the memory.
          x-longDescription: This object shall contain properties describe the types
            of alarms that have been raised by the memory.  When this resource is
            subordinate to the `MemorySummary` object, this property shall indicate
            whether an alarm of a given type have been raised by any area of memory.
        DataLossDetected:
          description: An indication of whether data loss was detected.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether data loss was detected.  When
            this resource is subordinate to the `MemorySummary` object, this property
            shall indicate whether any data loss was detected in any area of memory.
        LastShutdownSuccess:
          description: An indication of whether the last shutdown succeeded.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the last shutdown
            succeeded.
        PerformanceDegraded:
          description: An indication of whether performance has degraded.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether performance has
            degraded.  When this resource is subordinate to the `MemorySummary` object,
            this property shall indicate whether degraded performance mode status
            is detected in any area of memory.
        RemainingSpareBlockPercentage:
          description: The remaining spare blocks, as a percentage.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the remaining spare blocks
            as a percentage, `0` to `100`.  When this resource is subordinate to the
            `MemorySummary` object, this property shall be the RemainingSpareBlockPercentage
            over all memory.
          x-units: '%'
      type: object
      x-longDescription: This type shall contain properties that describe the health
        information metrics for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_LifeTime:
      additionalProperties: false
      description: The memory metrics for the lifetime of the memory.
      properties:
        BlocksRead:
          description: The number of blocks read for the lifetime of the memory.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of blocks read
            for the lifetime of the memory.  When this resource is subordinate to
            the `MemorySummary` object, this property shall be the sum of BlocksRead
            over all memory.
        BlocksWritten:
          description: The number of blocks written for the lifetime of the memory.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of blocks written
            for the lifetime of the memory.  When this resource is subordinate to
            the `MemorySummary` object, this property shall be the sum of BlocksWritten
            over all memory.
      type: object
      x-longDescription: This type shall describe the memory metrics since manufacturing.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_MemoryMetrics:
      additionalProperties: false
      description: The `MemoryMetrics` schema contains usage and health statistics
        for a memory device or system memory summary.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        BlockSizeBytes:
          description: The block size, in bytes.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the block size, in bytes,
            of all structure elements.  When this resource is subordinate to the `MemorySummary`
            object, this property is not applicable.
          x-units: By
        CurrentPeriod:
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_CurrentPeriod'
          description: The memory metrics since the last reset or `ClearCurrentPeriod`
            action.
          x-longDescription: This property shall contain properties that describe
            the memory metrics for the current period.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        HealthData:
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_HealthData'
          description: The health information of the memory.
          x-longDescription: This property shall contain properties that describe
            the health data memory metrics for the memory.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        LifeTime:
          $ref: '#/components/schemas/MemoryMetrics_v1_0_11_LifeTime'
          description: The memory metrics for the lifetime of the memory.
          x-longDescription: This property shall contain properties that describe
            the memory metrics for the lifetime of the memory.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent the memory metrics for a memory
        device or system memory summary in a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryMetrics_v1_0_11_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#MemoryMetrics.v1_0_11.MemoryMetrics'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2016.1'
